import { ModuleWithProviders, NgModule } from '@angular/core';

import { SERVICES } from './services';

@NgModule({})
export class IdentityRootModule {}

@NgModule({})
export class IdentityModule {
  public static forRoot(): ModuleWithProviders<IdentityRootModule> {
    return {
      ngModule: IdentityRootModule,
      providers: [...SERVICES],
    };
  }
}
